package id.ac.unpas.ta.david.pojo;
// Generated Jul 15, 2019 5:45:00 PM by Hibernate Tools 5.2.8.Final

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * MasterMahasiswa generated by hbm2java
 */
@Entity
@Table(name = "master_mahasiswa", catalog = "ta")
public class MasterMahasiswa implements java.io.Serializable {

	private String npm;
	private MasterKurikulum masterKurikulum;
	private MasterPeriodeSemester masterPeriodeSemester;
	private MasterProgramStudi masterProgramStudi;
	private String namaMahasiswa;
	private String namaInisial;
	private String email;
	private int batasStudi;
	private String status;
	private String noHpMahasiswa;
	private String noHpOrangTua;
	private String alamat;
	private int aktif;

	public MasterMahasiswa() {
	}

	public MasterMahasiswa(String npm, MasterKurikulum masterKurikulum, MasterPeriodeSemester masterPeriodeSemester,
			MasterProgramStudi masterProgramStudi, String namaMahasiswa, int batasStudi, String status,
			String noHpMahasiswa, String noHpOrangTua, String alamat, int aktif) {
		this.npm = npm;
		this.masterKurikulum = masterKurikulum;
		this.masterPeriodeSemester = masterPeriodeSemester;
		this.masterProgramStudi = masterProgramStudi;
		this.namaMahasiswa = namaMahasiswa;
		this.batasStudi = batasStudi;
		this.status = status;
		this.noHpMahasiswa = noHpMahasiswa;
		this.noHpOrangTua = noHpOrangTua;
		this.alamat = alamat;
		this.aktif = aktif;
	}

	public MasterMahasiswa(String npm, MasterKurikulum masterKurikulum, MasterPeriodeSemester masterPeriodeSemester,
			MasterProgramStudi masterProgramStudi, String namaMahasiswa, String namaInisial, String email,
			int batasStudi, String status, String noHpMahasiswa, String noHpOrangTua, String alamat, int aktif) {
		this.npm = npm;
		this.masterKurikulum = masterKurikulum;
		this.masterPeriodeSemester = masterPeriodeSemester;
		this.masterProgramStudi = masterProgramStudi;
		this.namaMahasiswa = namaMahasiswa;
		this.namaInisial = namaInisial;
		this.email = email;
		this.batasStudi = batasStudi;
		this.status = status;
		this.noHpMahasiswa = noHpMahasiswa;
		this.noHpOrangTua = noHpOrangTua;
		this.alamat = alamat;
		this.aktif = aktif;
	}

	@Id

	@Column(name = "npm", unique = true, nullable = false, length = 9)
	public String getNpm() {
		return this.npm;
	}

	public void setNpm(String npm) {
		this.npm = npm;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idMasterKurikulum", nullable = false)
	public MasterKurikulum getMasterKurikulum() {
		return this.masterKurikulum;
	}

	public void setMasterKurikulum(MasterKurikulum masterKurikulum) {
		this.masterKurikulum = masterKurikulum;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idPeriodeSemester", nullable = false)
	public MasterPeriodeSemester getMasterPeriodeSemester() {
		return this.masterPeriodeSemester;
	}

	public void setMasterPeriodeSemester(MasterPeriodeSemester masterPeriodeSemester) {
		this.masterPeriodeSemester = masterPeriodeSemester;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "idProgramStudi", nullable = false)
	public MasterProgramStudi getMasterProgramStudi() {
		return this.masterProgramStudi;
	}

	public void setMasterProgramStudi(MasterProgramStudi masterProgramStudi) {
		this.masterProgramStudi = masterProgramStudi;
	}

	@Column(name = "namaMahasiswa", nullable = false, length = 50)
	public String getNamaMahasiswa() {
		return this.namaMahasiswa;
	}

	public void setNamaMahasiswa(String namaMahasiswa) {
		this.namaMahasiswa = namaMahasiswa;
	}

	@Column(name = "namaInisial", length = 50)
	public String getNamaInisial() {
		return this.namaInisial;
	}

	public void setNamaInisial(String namaInisial) {
		this.namaInisial = namaInisial;
	}

	@Column(name = "email", length = 50)
	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@Column(name = "batasStudi", nullable = false)
	public int getBatasStudi() {
		return this.batasStudi;
	}

	public void setBatasStudi(int batasStudi) {
		this.batasStudi = batasStudi;
	}

	@Column(name = "status", nullable = false, length = 20)
	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	@Column(name = "noHpMahasiswa", nullable = false, length = 15)
	public String getNoHpMahasiswa() {
		return this.noHpMahasiswa;
	}

	public void setNoHpMahasiswa(String noHpMahasiswa) {
		this.noHpMahasiswa = noHpMahasiswa;
	}

	@Column(name = "noHpOrangTua", nullable = false, length = 15)
	public String getNoHpOrangTua() {
		return this.noHpOrangTua;
	}

	public void setNoHpOrangTua(String noHpOrangTua) {
		this.noHpOrangTua = noHpOrangTua;
	}

	@Column(name = "alamat", nullable = false, length = 65535)
	public String getAlamat() {
		return this.alamat;
	}

	public void setAlamat(String alamat) {
		this.alamat = alamat;
	}

	@Column(name = "aktif", nullable = false)
	public int getAktif() {
		return this.aktif;
	}

	public void setAktif(int aktif) {
		this.aktif = aktif;
	}

}
